This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1008856 - Review Request: perl-File-ShareDir-ProjectDistDir - Simple set-and-forget using of a '/share' directory in your projects root
Review Request: perl-File-ShareDir-ProjectDistDir - Simple set-and-forget usi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 1008809 1008828
Blocks: 1008407
  Show dependency treegraph
 
Reported: 2013-09-17 04:13 EDT by Jitka Plesnikova
Modified: 2013-09-30 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 22:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2013-09-17 04:13:52 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-File-ShareDir-ProjectDistDir/perl-File-ShareDir-ProjectDistDir.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-File-ShareDir-ProjectDistDir/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc21.src.rpm
Description: 
This module allows to use a directory name other than 'share' ( assuming you
make sure when you install that, you specify the different directory there
also ).

Fedora Account System Username: jplesnik
Comment 1 Petr Pisar 2013-09-18 10:44:29 EDT
URL and Source0 are usable. Ok.
Source tar ball is original (SHA-256: 7c3ae69e305104a274042cb8eddca49264c85f71c9594a3d4811c4338a7dde94). Ok.
Summary verified from lib/File/ShareDir/ProjectDistDir.pm. Ok.

TODO: The description is dizzy. The content of the parentheses is not understandable for me. And there use useless spaces inside the parentheses. Please make up a better description.

License verified from LICENSE, README, and lib/File/ShareDir/ProjectDistDir.pm. Ok.
No XS code presents, noarch BuildArch is Ok.

All tests pass.

$ http_proxy=island:8118 rpmlint perl-File-ShareDir-ProjectDistDir.spec ../SRPMS/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc21.src.rpm ../RPMS/noarch/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc21.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p  ../RPMS/noarch/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc21.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Sep 18 16:36 /usr/share/doc/perl-File-ShareDir-ProjectDistDir
-rw-r--r--    1 root    root                     6674 Sep 16 09:34 /usr/share/doc/perl-File-ShareDir-ProjectDistDir/Changes
-rw-r--r--    1 root    root                    18401 Sep 16 09:34 /usr/share/doc/perl-File-ShareDir-ProjectDistDir/LICENSE
-rw-r--r--    1 root    root                    10720 Sep 16 09:34 /usr/share/doc/perl-File-ShareDir-ProjectDistDir/README
-rw-r--r--    1 root    root                     5109 Sep 18 16:36 /usr/share/man/man3/File::ShareDir::ProjectDistDir.3pm.gz
drwxr-xr-x    2 root    root                        0 Sep 18 16:36 /usr/share/perl5/vendor_perl/File
drwxr-xr-x    2 root    root                        0 Sep 18 16:36 /usr/share/perl5/vendor_perl/File/ShareDir
-rw-r--r--    1 root    root                    16861 Sep 18 16:36 /usr/share/perl5/vendor_perl/File/ShareDir/ProjectDistDir.pm
File layout and permissions are Ok.

$ rpm -q --requires -p  ../RPMS/noarch/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc21.noarch.rpm | sort -i | uniq -c
      1 perl(Carp)
      1 perl(File::ShareDir)
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(Path::Class::Dir)
      1 perl(Path::Class::File)
      1 perl(Path::FindDev)
      1 perl(Path::IsDev)
      1 perl(Path::Tiny)
      1 perl(strict)
      1 perl(Sub::Exporter)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p  ../RPMS/noarch/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc21.noarch.rpm | sort -i | uniq -c
      1 perl(File::ShareDir::ProjectDistDir) = 0.5.1
      1 perl-File-ShareDir-ProjectDistDir = 0.5.1-1.fc21
Binary provides are Ok.

$ http_proxy=island:8118 resolvedeps f21-build  ../RPMS/noarch/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc21.noarch.rpm 
Unresolved dependency: perl(Path::FindDev)
Binary dependencies are Ok. perl(Path::FindDev) is not yet on mirrors.

Package builds in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=5951038). Ok.

Package is in line with Fedora and Perl packaging guidelines.

Please consider fixing the `TODO' item before building this package.
Resolution: Package APPROVED.
Comment 2 Jitka Plesnikova 2013-09-19 02:41:48 EDT
New Package SCM Request
=======================
Package Name: perl-File-ShareDir-ProjectDistDir
Short Description: Simple set-and-forget using of a '/share' directory in your projects root
Owners: jplesnik ppisar psabata
Branches: f20
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2013-09-19 09:06:56 EDT
Git done (by process-git-requests).
Comment 4 Jitka Plesnikova 2013-09-20 02:07:19 EDT
Thank you for the review and the repository.
Comment 5 Fedora Update System 2013-09-20 02:15:03 EDT
perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc20
Comment 6 Fedora Update System 2013-09-20 14:55:56 EDT
Package perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17247/perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-30 22:05:15 EDT
perl-File-ShareDir-ProjectDistDir-0.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.